Skip to content

Realtime

realtime_grant_create

Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment

Tool

realtime_grant_create

Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment

Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment

Behavior

HTTP
POST /realtime/grants

Arguments

NameTypeRequiredDescription
opsarrayOperations granted on matching channels
patternstringChannel pattern, e.g. "chat:*" ("*" matches exactly one segment)
subjectstringIdentity id the grant applies to, or "*" for every identity in the product

Response

FieldTypeAlwaysDescription
idstring
opsarray
patternstring
subjectstring
createdAtstring

Try it

Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment.

When to use

Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment

Example

Ask your agent something like this:

Grant a subject (identity id or "*" for all identities) operations on channels matching a pattern; "*" in a pattern matches exactly one segment.

The agent will invoke realtime_grant_create with these arguments:

{
  "ops": "<ops>",
  "pattern": "<pattern>",
  "subject": "<subject>"
}

Esc

Start typing to search the docs.

navigateselect